# Changelog
All notable changes to mtf_face_v31 will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/).

## [2021.8.1]
## 08/11/2021
### Changed
*  Moved classes used to output data model elements via StringTemplate engine.

## [2020.11.1]
## 11/02/2020
### Changed
*  Removed IDL Template Generation and replaced with a abstract class to enable more than just IDL Template Generation
*  Updated IDL Template parsing logic to correctly apply Query aliases and different-case Characteristics.


## [2020.7.1]
## 07/15/2020

### Fixed
* Removed Checks for Logical and Conceptual Model usage of IDL keywords (aligns with CR 567)
* Updated to include all Entity Characteristics via specialization when "*" used in query (aligns with CR 572)


## [2020.5.1]
## 05/04/2020

### Fixed
* Corrected IDL generation of union output for CompositeTemplate (aligns to CR 514)
* Corrected NullPointerException when evaluating external template references (aligns to CR 507)


## 08/26/2019

### Added
*  Added Changelog
*  Initial FACE 3.1 MTF Capability
*  Added JUnit Testing for import-export roundtripping FACE XMI

## TBD
### Added

### Changed

### Fixed

### Removed
