REM Run DIG (generates IDL)
REM CTS 3.0.4 Requires Java 1.8
set JAVA_EXE="C:\Program Files\Java\jre1.8.0_291\bin\java.exe"

REM Must set the following per your CTS Installation
set IDL_GEN_JAR="D:\FACE_Bin\CTS\Windows_CTS_3.0.4_Distribution\FACEConformanceTestSuite_3.0.4\UsmIDLgen\UsmIDLgen_v30-2022.1.1\UsmIDLgen_v30-2022.1.1.jar"

REM Set to your FACE(tm) Model 
set FACE_Model=Space_Shuttle_Tanks_30.face

%JAVA_EXE% -jar %IDL_GEN_JAR% -usm  %FACE_Model% -view FillValve_Data -out ./IDL_out
%JAVA_EXE% -jar %IDL_GEN_JAR% -usm  %FACE_Model% -view TankLevel_Data -out ./IDL_out


REM Help Only
REM %JAVA_EXE% -jar  %IDL_GEN_JAR% -help